1. thegoldenhand's Avatar
    Hi guys!

    How can I activate an older 3GS unit that I accidentally upgraded to 3.1.3 and I guess 5.12 bootrom about 1 week prior to iOS4 launch? Can someone please help me? I wanted to activate it, jb and then unlock.

    I tried to activate it earlier using a post-paid AT&T sim that a friend uses for his newer 3GS and I keep getting this error in itunes (pre 9.2 version of itunes):

    "The SIM card inserted in this iPhone does not appear to be supported

    Only compatible SIM cards from a supported carrier may be may be used to activate iPhone. Please insert the SIM card that came with your iPhone or visit a supported carrier's store to receive a replacement SIM card."


    What am I doing wrong? Please help.....

    TIA
    2010-07-06 07:36 AM
  2. iYeow's Avatar
    What do you mean by pre itunes 9.2 ? Can you not downgrade to 3.1.2 with shsh file ? Prepaid AT&T card should work unless your Iphone is not from the States. You can check your model to see where your Iphone is coming from here :
    Gadgets Hacking World: Identify Iphone Country and Carrier By Model Code (For Activation)
    2010-07-06 08:02 AM
  3. thegoldenhand's Avatar
    Hi. The iphone 3GS is from the US. What I mean is the PC I used had an older version of itunes 9.2 . I don't know if it matters or not I just thought I'd mention it.

    I could try to get the shsh file but the first problem is I can't get past the emergency call screen and when I tried putting the AT&T sim card in it, I got that error as I stated in my first post.

    The way I understood it is, I need to first activate the phone, then JB then either try to get the shsh file from cydia or just unlock the 3.1.3. But I am stuck in that emergency call screen.

    2010-07-06 08:06 AM
  4. iYeow's Avatar
    When you put your sim card in , don't plug it in, reboot your Iphone and see. I don't think there is an older version of itunes 9.2, if it is 9.2 then it is current.
    What you need is for it to trigger from emergency to home screen. If you can do that, don't use Spirit yet, Itunes 9.2 is not compatible with Spirit jailbreak
    2010-07-06 08:13 AM
  5. thegoldenhand's Avatar
    Ok so put the AT&T sim card in, reset and wait?
    2010-07-06 08:23 AM
  6. babyblue_pimp's Avatar
    If your on the old bootrom, u could try using a custom 3.1.3, that way it'll be hacktivated.

    But are 100% positive it's a US phone? Using any Att sim card should get u past that error in iTunes.

    Another option would be to restore to 3.1.2 using the shsh blobs through saurik
    2010-07-06 06:49 PM
LINK TO POST COPIED TO CLIPBOARD